// Copyright 2022 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by aliasgen. DO NOT EDIT.

// Package connection aliases all exported identifiers in package
// "cloud.google.com/go/bigquery/connection/apiv1/connectionpb".
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb.
// Please read https://github.com/googleapis/google-cloud-go/blob/main/migration.md
// for more details.
package connection

import (
	src "cloud.google.com/go/bigquery/connection/apiv1/connectionpb"
	grpc "google.golang.org/grpc"
)

// Deprecated: Please use consts in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
const (
	CloudSqlProperties_DATABASE_TYPE_UNSPECIFIED = src.CloudSqlProperties_DATABASE_TYPE_UNSPECIFIED
	CloudSqlProperties_MYSQL                     = src.CloudSqlProperties_MYSQL
	CloudSqlProperties_POSTGRES                  = src.CloudSqlProperties_POSTGRES
)

// Deprecated: Please use vars in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
var (
	CloudSqlProperties_DatabaseType_name                      = src.CloudSqlProperties_DatabaseType_name
	CloudSqlProperties_DatabaseType_value                     = src.CloudSqlProperties_DatabaseType_value
	File_google_cloud_bigquery_connection_v1_connection_proto = src.File_google_cloud_bigquery_connection_v1_connection_proto
)

// Authentication method for Amazon Web Services (AWS) that uses Google owned
// Google service account to assume into customer's AWS IAM Role.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type AwsAccessRole = src.AwsAccessRole

// Authentication method for Amazon Web Services (AWS) that uses Google owned
// AWS IAM user's access key to assume into customer's AWS IAM Role.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type AwsCrossAccountRole = src.AwsCrossAccountRole

// Connection properties specific to Amazon Web Services (AWS).
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type AwsProperties = src.AwsProperties
type AwsProperties_AccessRole = src.AwsProperties_AccessRole
type AwsProperties_CrossAccountRole = src.AwsProperties_CrossAccountRole

// Container for connection properties specific to Azure.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type AzureProperties = src.AzureProperties

// Container for connection properties for delegation of access to GCP
// resources.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type CloudResourceProperties = src.CloudResourceProperties

// Connection properties specific to Cloud Spanner.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type CloudSpannerProperties = src.CloudSpannerProperties

// Credential info for the Cloud SQL.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type CloudSqlCredential = src.CloudSqlCredential

// Connection properties specific to the Cloud SQL.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type CloudSqlProperties = src.CloudSqlProperties

// Supported Cloud SQL database types.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type CloudSqlProperties_DatabaseType = src.CloudSqlProperties_DatabaseType

// Configuration parameters to establish connection with an external data
// source, except the credential attributes.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type Connection = src.Connection

// ConnectionServiceClient is the client API for ConnectionService service.
// For semantics around ctx use and closing/ending streaming RPCs, please refer
// to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type ConnectionServiceClient = src.ConnectionServiceClient

// ConnectionServiceServer is the server API for ConnectionService service.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type ConnectionServiceServer = src.ConnectionServiceServer
type Connection_Aws = src.Connection_Aws
type Connection_Azure = src.Connection_Azure
type Connection_CloudResource = src.Connection_CloudResource
type Connection_CloudSpanner = src.Connection_CloudSpanner
type Connection_CloudSql = src.Connection_CloudSql

// The request for
// [ConnectionService.CreateConnection][google.cloud.bigquery.connection.v1.ConnectionService.CreateConnection].
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type CreateConnectionRequest = src.CreateConnectionRequest

// The request for [ConnectionService.DeleteConnectionRequest][].
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type DeleteConnectionRequest = src.DeleteConnectionRequest

// The request for
// [ConnectionService.GetConnection][google.cloud.bigquery.connection.v1.ConnectionService.GetConnection].
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type GetConnectionRequest = src.GetConnectionRequest

// The request for
// [ConnectionService.ListConnections][google.cloud.bigquery.connection.v1.ConnectionService.ListConnections].
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type ListConnectionsRequest = src.ListConnectionsRequest

// The response for
// [ConnectionService.ListConnections][google.cloud.bigquery.connection.v1.ConnectionService.ListConnections].
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type ListConnectionsResponse = src.ListConnectionsResponse

// UnimplementedConnectionServiceServer can be embedded to have forward
// compatible implementations.
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type UnimplementedConnectionServiceServer = src.UnimplementedConnectionServiceServer

// The request for
// [ConnectionService.UpdateConnection][google.cloud.bigquery.connection.v1.ConnectionService.UpdateConnection].
//
// Deprecated: Please use types in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
type UpdateConnectionRequest = src.UpdateConnectionRequest

// Deprecated: Please use funcs in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
func NewConnectionServiceClient(cc grpc.ClientConnInterface) ConnectionServiceClient {
	return src.NewConnectionServiceClient(cc)
}

// Deprecated: Please use funcs in: cloud.google.com/go/bigquery/connection/apiv1/connectionpb
func RegisterConnectionServiceServer(s *grpc.Server, srv ConnectionServiceServer) {
	src.RegisterConnectionServiceServer(s, srv)
}
